var tabla;
//declaramos variables necesarias para trabajar con las compras y sus detalles
var impuesto1			=16;
var cont					=0;
var detalles			=0;
var numeroorden		=0;

//funcion que se ejecuta al inicio
function init(){
  // mostrarform(true);
	//** temporal */
	mostrarform(false);
   listar();
   listarArticulos();
	 listarArticuloso();
	 listarArticulosi();
   listarServicios();
   //buscarAlmacen('BODEGART');

  // listarArticuloBarra();

  $("#btnGuardar").on("click",function(e){
	/* Evitamos el envío real del formulario */
		e.preventDefault(); 
		
		validar();
		var val = $("#validado").val();
		console.log(val);
		if (val==1){  
			bootbox.confirm("¿Esta seguro que quiere guardar los dato?", function(result){
				if (result) {
					modificarValoresAnumerico();
					guardaryeditar(e);	
				}
			})
		}
   });

   // Capturamos el evento click de la ventana modal Articulo
   // Para habilitar y desabilitar los botones y campos que van con cada funcion
  $("#btnAgregarArt").on("click",function(e){
		$('#myModalArt').modal('show');
	
	});

	$("#btnAgregarArto").on("click",function(e){
		$('#myModalArto').modal('show');
	
	});
	
	$("#btnAgregarSer").on("click",function(e){
		$('#myModalSer').modal('show');
	});

	$("#btnAgregarArti").on("click",function(e){
		$('#myModalArti').modal('show');
	});

	
	//se verifica si cambia los campos del formulario
	$("#idproveedor").change(function(){
		$("#cod_barra").val("");
		$("#cod_barra").focus();
	});

	$("#cantidad").change(function(){
		$("#cod_barra").val("");
		$("#cod_barra").focus();
		modificarSubtotales();
	});

	$("#precio_compra").change(function(){
		$("#cod_barra").val("");
		$("#cod_barra").focus();
		modificarSubtotales();
	});

	$("#precio_venta").change(function(){
		$("#cod_barra").val("");
		$("#cod_barra").focus();
		modificarSubtotales();
	});

	$("#nrolote").change(function(){
		$("#cod_barra").val("");
		$("#cod_barra").focus();
		modificarSubtotales();
	});

	$("#fecha_lote").change(function(){
		$("#cod_barra").val("");
		$("#cod_barra").focus();
		modificarSubtotales();
	});

	//se verifica si cambia los campos del formulario de codigo de barra
	/* $("#cod_barra").change(function(e){
        // Evitamos el envío real del formulario 
        e.preventDefault();
       	// Hacemos la llamada al API 
		var codigobarra = $("#cod_barra").val();
		//alert('codigo barra change: '+codigobarra);
		buscarcodigodebarra(codigobarra);
	}); */
    	
	
	/* $("#cod_barra").change(function(){
		var codigobarra = $("#cod_barra").val();
		alert('codigo barra change: '+codigobarra);
		agregarDetalleCodigoDeBarra(codigobarra);
	}); */

	$("#cod_barra").keypress(function(e) {
		var keycode = (e.keyCode ? e.keyCode : e.which);
		var codigobarra = $("#cod_barra").val();
		if (keycode == '13') {
			// Evitamos el envío real del enter
			e.preventDefault();
			// Hacemos la llamada al API Buscamos el codigo de barra
			buscarcodigodebarra(codigobarra);
			return false;
		}
	}); 

   //cargamos los items al select proveedor
  $.post("controladores/ordencompraingresoControlador.php?op=selectProveedor", function(r){
   	$("#idproveedor").html(r);
   	$('#idproveedor').selectpicker('refresh');
  });

	$.post("controladores/ordencompraingresoControlador.php?op=selectAlmacen", function(r){
		$("#idalmacen").html(r);
		$("#idalmacen").val(1);
		$('#idalmacen').selectpicker('refresh');
	});

	$.post("controladores/formapagospControlador.php?op=selectformapagop", function(r){
		$("#idformapagop").html(r);
		$("#idformapagop").val(0);
		$('#idformapagop').selectpicker('refresh');
	});



}

/*******
 * 
 * Resolver*******************
 * 
 */

//Funcion para bucar dentro de un select
function buscarSelect()
{
	// creamos un variable que hace referencia al select
	var select=document.getElementById("idproveedor");
 	// obtenemos el valor a buscar
	var buscar="BODEGART";
 	// recorremos todos los valores del select
	for(var i=1;i<select.length;i++)
	{
		if(select.options[i].text==buscar)
		{
			// seleccionamos el valor que coincide
			select.selectedIndex=i;
			$("#tipo_comprobante").val("'i'");
			$("#tipo_comprobante").selectpicker('refresh');
		}
	}
	
}


//funcion limpiar
function limpiar(){
	$('#formulario').data('bootstrapValidator').resetForm(true);
	$("#idproveedor").val("");
	$("#fecha_hora").val("");
	$("#fecha_horar").val("");
	$("#proveedor").val("");
	$("#serie_comprobante").val("");
	$("#num_comprobante").val("");
	/* $("#num_suministro").val(""); */
	$("#num_ordencompraingreso").val("");
	
	$("#impuesto").val("");
	$("#validado").val("0");

	$("#total_compra").val(0);
	$("#total_comprad").val(0);
	$("#total_comprai").val(0);
	$("#total_compraid").val(0);

	$(".filas").remove();
	$("#total").html("0");

	//obtenemos la fecha actual
	var now 	= 	new Date();
  var today   = 	new Date();
	var dd 		=	("0"+now.getDate()).slice(-2);
  var mm		=	("0"+(now.getMonth()+1)).slice(-2);
  var yyyy    =   now.getFullYear();
	var today	=	yyyy+'-'+mm+'-'+dd;
	$(fecha_hora).val(today);

	$("#iddiacredito").val("Contado");
	$("#iddiacredito").selectpicker('refresh');

	//marcamos el primer tipo_documento
	$("#tipo_comprobante").val("OrdenCompra");
	$("#tipo_comprobante").selectpicker('refresh');
	
	marcarImpuesto();
	buscarnroordencompraingreso();

}

//funcion mostrar formulario
function mostrarform(flag){
	limpiar();
	if(flag){
		$("#listadoregistros").hide();
		$("#formularioregistros").show();
		$("#formularioregistros1").show();
		$("#num_suministro1").show();
		buscarTasaDeCambio();
		//$("#btnGuardar").prop("disabled",false);
		$("#btnagregar").hide();
		
		$("#cod_barra").focus();
		$("#btnGuardar").show();
		$("#btnCancelar").show();
		detalles=0;
		$("#btnAgregarArt").show();
		$("#btnAgregarArti").show();
		$("#btnAgregarArto").show();
		$("#btnAgregarSer").show();


	}else{
		$("#listadoregistros").show();
		$("#btnagregar").show();
		$("#labelcodigobarra").show();
		$("#inputcodigobarra").show();
		/* $('#serie_comprobante').prop("disabled", false);
		$('#num_comprobante').prop("disabled", false);
		$('#num_suministro').prop("disabled", true); */
		$("#num_comprobante1").show();
		$("#serie_comprobante1").show();
		$("#num_suministro1").hide();
		$("#formularioregistros").hide();
		$("#formularioregistros1").hide();
	}
}

function mostrarsolo(idordencompraingreso){
	tabla1=$('#tbdocumentodetalle').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/ordencompraingresoControlador.php?op=listarordencomprasolo',
			method: 'post',
			data: {
				idordencompraingreso : idordencompraingreso
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			},
		},
		"drawCallback":function(){
			var api 	= this.api();
			var data1	= api.column(1).data();
			var data2	= api.column(2).data();
			var data3	= api.column(3).data();
			var total1	=	0;
			var total2	=	0;
			var total3	=	0;

			for (var i = 0; i < data1.length; i++) {
      	total1 	= total1+numero(data1[i]);
				total2 	= total2+numero(data2[i]);
				total3 	= total3+numero(data3[i]);
				
      }
			total1		= number_format(total1*1,2);
			total2		= number_format(total2*1,2);
			total3		= number_format(total3*1,2);
			$(api.column(0).footer()).html('Total:');
			$(api.column(1).footer()).html(total1);
			$(api.column(2).footer()).html(total2);
			$(api.column(3).footer()).html(total3);
			
	  	},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
	$('#myModalM').modal('show');
}



//cancelar form
function cancelarform(){
	limpiar();
	mostrarform(false);
}

//funcion listar
function listar(){
	tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'controladores/ordencompraingresoControlador.php?op=listara',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function listarServicios(){
	tabla=$('#tblservicios').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/ordencompraingresoControlador.php?op=listarActivosServiciosCompra',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function listarArticulos(){
	tabla=$('#tblarticulos').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/ordencompraingresoControlador.php?op=listarArticulos',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function listarArticuloso(){
	tabla=$('#tblarticuloso').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/ordencompraingresoControlador.php?op=listarArticuloso',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function listarArticuloBarra(){
	tabla=$('#tblservicios').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/ordencompraingresoControlador.php?op=listarArticuloBarra',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}


function listarArticulosi(){
	tabla=$('#tblarticulosi').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/ingresoControlador.php?op=listarArticulosi',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function buscarAlmacen(almacen){
	$.post("controladores/ordencompraingresoControlador.php?op=buscarAlmacen",{almacen : almacen},
		function(data,status)
		{
			data=JSON.parse(data);
			$("#idalmacen").val(data.idalmacen);
		});
}


function buscarnroordencompraingreso(){
	$.post("controladores/ordencompraingresoControlador.php?op=buscarnroordencompraingreso",
		function(data,status)
		{
			data=JSON.parse(data);
			if ((data == null)||(data == "undefined")) {
				num_ordencompraingreso=1;	
			}else{
				num_ordencompraingreso	=	numero(data.num_ordencompraingreso) + 1;
			}
			today			= $(fecha_hora).val();
			num_ordencompraingreso1	= today + '-' + num_ordencompraingreso
			$("#num_ordencompraingreso").val(num_ordencompraingreso1);
			console.log(num_ordencompraingreso1);
	});
}

//Se busca el numero la tasa de cambio
function buscarTasaDeCambio(){
	idempresa_venta=$("#idempresa_venta").val();
	//alert ('idempresa_venta: '+idempresa_venta);
	$.post("controladores/empresaControlador.php?op=buscarTasaDeCambio",{idempresa_venta : idempresa_venta},
		function(data,status)
		{
			//alert ('estatus: '+status);
			data1=JSON.parse(data);
			$("#tasa_dollar").val(number_format(data1.tasa_dollar),2);
			$("#tasa_euro").val(number_format(data1.tasa_euro),2);
	//		alert ('Control: '+data1.nrocontrol+' Factura: '+data1.nrofactura);
		});
}

//funcion para guardaryeditar
function guardaryeditar(e){
     e.preventDefault();//no se activara la accion predeterminada 
     //$("#btnGuardar").prop("disabled",true);
     var formData=new FormData($("#formulario")[0]);
	// alert("Vamos a actualizar ");
     $.ajax({
     	url: "controladores/ordencompraingresoControlador.php?op=guardaryeditar",
     	type: "POST",
     	data: formData,
     	contentType: false,
     	processData: false,

     	success: function(datos){
     		bootbox.alert(datos);
     		mostrarform(false);
     		listar();
     	}
     });

     limpiar();
}

function mostrar(idordencompraingreso){
	$.post("controladores/ordencompraingresoControlador.php?op=mostrar",{idordencompraingreso : idordencompraingreso},
		function(data,status)
		{
			data=JSON.parse(data);
			mostrarform(true);
			$("#labelcodigobarra").hide();
			$("#inputcodigobarra").hide();
			$("#idproveedor").val(data.idproveedor);
			$("#idproveedor").selectpicker('refresh');
			$("#tipo_comprobante").val(data.tipo_comprobante);
			$("#tipo_comprobante").selectpicker('refresh');
			$("#idformapagop").val(data.idformapagop);
			$("#idformapagop").selectpicker('refresh');
			$("#serie_comprobante").val(data.serie_comprobante);
			$("#num_comprobante").val(data.num_comprobante);
			$("#fecha_hora").val(data.fecha);
			$("#fecha_horar").val(data.fechar);
			$("#impuesto").val(data.impuesto);
			$("#observacion").val(data.observacion);
			numeroorden	= data.num_ordencompraingreso;
			$("#idordencompraingreso").val(data.idordencompraingreso);
			console.log('$("#idordencompraingreso").val(): '+$("#idordencompraingreso").val());
			
			//ocultar y mostrar los botones
			$("#btnGuardar").show();
			$("#btnCancelar").show();
			$("#btnAgregarArt").show();

			$.post("controladores/ordencompraingresoControlador.php?op=listarDetalle&id="+idordencompraingreso,function(r){
				$("#detalles").html(r);
				let cant		=	document.getElementsByName("cantidad[]");
				cont				=	cant.length;
				detalles		=	cont;
				$("#num_ordencompraingreso").val(numeroorden);
				/* var total_compra = $("#total_compra").val();
				var total_comprad = $("#total_comprad").val();
				var total_comprai = $("#total_comprai").val();
				var total_compraid = $("#total_compraid").val();
				console.log('total_compra: '+total_compra);
				console.log('total_comprad: '+total_comprad);
				console.log('total_comprai: '+total_comprai);
				console.log('total_compraid: '+total_compraid); */

			});
		});
		

}


//funcion para desactivar
function anular(idordencompraingreso){
	bootbox.confirm("¿Esta seguro de desactivar este dato?", function(result){
		if (result) {
			$.post("controladores/ordencompraingresoControlador.php?op=anular", {idordencompraingreso : idordencompraingreso}, function(e){
				bootbox.alert(e);
				tabla.ajax.reload();
			});
		}
	})
}



$("#btnGuardar").hide();
$("#tipo_comprobante").change(marcarImpuesto);

//funcion para habilitar la fecha de lote
function cambiarfechalote(idordencompraingreso){
	var fechal=document.getElementsByName("fecha_lote[]");
	var lotef=document.getElementsByName("lote[]");
//	alert('numero de lote: '+lotef[idordencompraingreso].value);
	if (lotef[idordencompraingreso].value=='N/A'){
		fechal[idordencompraingreso].disabled = true;
	}else{
		fechal[idordencompraingreso].disabled = false;
	}
}


function marcarImpuesto(){
	var tipo_comprobante=$("#tipo_comprobante option:selected").text();
	if (tipo_comprobante=='Factura') {
		$("#impuesto").val(impuesto1);
	}else{
		$("#impuesto").val("0");
	}
	$("#impuesto").attr("readonly","readonly");
	impuesto.style.backgroundColor 	= "#D5D5CE";
}

function buscarcodigodebarra(codbarra){
	//alert ('buscando codigo de barra: '+codbarra);
	$.ajax({
		url: 'complemento/leercodigobarra.php',
		method: 'post',
		data: {
			codigobarra: codbarra,
		},
		})
		.done(function(datos) {
		/* Depuramos los datos recibidos */
		console.log( datos );
		/* Si no se devolvió ningún registro (false) debería hacerse algo */
		if (datos === false) {
			/* hacer algo */
			bootbox.alert('No se encontró el código de barras');
			$("#cod_barra").val("");
			return;
		}
		/* Agregamos una fila con los datos obtenidos */
		   agregarDetalle(datos.idarticulo,datos.nombre,datos.costo,datos.precio);
		})
		.fail(function() {
			alert( "Error" );
		})
		.always(function() {
		/* Seleccionamos el texto para que se pueda sobreescribir por la siguiente lectura */
		$("input[name='cod_barra']").select();
		});
}


function agregarDetalle(idarticulo,articulo,costo,costod,costoa,costoad,exento,tipo){
	var cantidad				=1;
	var lote						='N/A';
	var fecha						='N/A';
	var tasa_dollar			=$("#tasa_dollar").val();
	var precio_compra		=costo;
	var precio_comprad	=costod;
	var precio_compraa	=costoa;
	var precio_compraad	=costoad;
	var precio_venta		=costod*tasa_dollar;
	var preciod					=costod;
	var tasaimpuesto		=$("#impuesto").val()/100;
	var iva							=0;
	var ivad						=0;

	if (idarticulo!="") {
		var subtotal	=cantidad*precio_compra;
		var subtotald	=cantidad*precio_comprad;

		console.log('exento: '+exento);
		console.log('1+tasaimpuesto: '+(tasaimpuesto));
		if (exento=='no'){
			iva 	= (subtotal*(tasaimpuesto));
			ivad 	= (subtotald*(tasaimpuesto));
		}
		var subtotali		=subtotal+iva;
		var subtotalid	=subtotald+ivad;
		console.log('subtotal: '+subtotal);
		console.log('subtotald: '+subtotald);
		console.log('subtotali: '+subtotali);
		console.log('subtotalid: '+subtotalid);

		var fila='<tr class="filas" id="fila'+cont+'">'+
		'<td style="width:60px"><button type="button" class="btn btn-danger" onclick="eliminarDetalle('+cont+')">X</button></td>'+
		'<td><input type="hidden" name="idarticulo[]" value="'+idarticulo+'">'+articulo+'</td>'+
		'<td><input type="text" name="cantidad[]" style="text-align:right;width:100px" id="cantidad[]" value="'+number_format(cantidad)+'"></td>'+
		'<td><input type="text" name="precio_compra[]" style="text-align:right;width:120px" id="precio_compra[]" value="'+number_format(precio_compra,2)+'"></td>'+
		'<td><input type="text" name="precio_comprad[]" style="text-align:right;width:120px" id="precio_comprad[]" value="'+number_format(precio_comprad,2)+'"></td>'+
		
		'<td><input type="text" name="subtotal[]" id="subtotal[]" style="width:120px;text-align:right" value="'+number_format(subtotal,2)+'" >'+
		'<input type="hidden" name="subtotald[]" id="subtotald[]"  value="'+number_format(subtotald,2)+'" >'+
		'<input type="hidden" name="subtotali[]" id="subtotali[]"  value="'+number_format(subtotali,2)+'" ></input>'+
		'<input type="hidden" name="subtotalid[]" id="subtotalid[]"  value="'+number_format(subtotalid,2)+'" ></input>'+
		'</td>'+
       // '<td style="width:120px;text-align:right"><span id="subtotal'+cont+'" name="subtotal">'+number_format(subtotal,2)+'</span></td>'+
    '<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button></td>'+
		'<input type="hidden" name="precio_venta[]" style="text-align:right;width:120px" value="'+number_format(precio_venta,2)+'">'+
		'<input type="hidden" name="precio_ventad[]" style="text-align:right;width:120px" value="'+number_format(preciod,1)+'">'+
		'<input type="hidden" name="exento[]" style="text-align:right;width:120px" value="'+exento+'">'+
		'<input type="hidden" name="tipo[]" style="text-align:right;width:120px" value="'+tipo+'">'+
		'<input type="hidden" name="precio_compraa[]" style="text-align:right;width:120px" id="precio_compraa[]" value="'+number_format(precio_compraa,2)+'">'+
		'<input type="hidden" name="precio_compraad[]" style="text-align:right;width:120px" id="precio_compraad[]" value="'+number_format(precio_compraad,2)+'">'+
		
		'<input type="hidden" name="nrolote[]" id="nrolote[]" style="width:120px" value="'+lote+'">'+
		'<input type="hidden" name="fecha_lote[]" id="fecha_lote[]" value="'+fecha+'" >'+
		'</tr>';
		cont++;
		detalles++;
		$('#detalles').append(fila);
		modificarSubtotales();
	}else{
		alert("error al ingresar el detalle, revisar las datos del articulo ");
	}
}

function modificarValoresAnumerico(){
	var cant	=document.getElementsByName("cantidad[]");
	var prec	=document.getElementsByName("precio_compra[]");
	var prev	=document.getElementsByName("precio_venta[]");
	var precd	=document.getElementsByName("precio_comprad[]");
	var prevd	=document.getElementsByName("precio_ventad[]");
	var sub		=document.getElementsByName("subtotal[]");
	var subd	=document.getElementsByName("subtotald[]");
	var subi	=document.getElementsByName("subtotali[]");
	var subid	=document.getElementsByName("subtotalid[]");
	var exent	=document.getElementsByName("exento[]");
/* 	var total_compra = $("#total_compra").val();
	var total_comprad = $("#total_comprad").val();
	var total_comprai = $("#total_comprai").val();
	var total_compraid = $("#total_compraid").val();
	console.log('total_compra: '+total_compra);
	console.log('total_comprad: '+total_comprad);
	console.log('total_comprai: '+total_comprai);
	console.log('total_compraid: '+total_compraid); */
	
	
	for (var i = 0; i < cant.length; i++) {
		var Cmod	=	cant[i];
		var Pcmod	=	prec[i];
		var Pvmod	=	prev[i];
		var Pcmodd	=	precd[i];
		var Pvmodd	=	prevd[i];
		var Smod	=	sub[i];
		Cmod.value	=	numero(Cmod.value);
		Pcmod.value	=	numero(Pcmod.value);
		Pvmod.value	=	numero(Pvmod.value);
		Pcmodd.value=	numero(Pcmodd.value);
		Pvmodd.value=	numero(Pvmodd.value);
		Smod.value	=	numero(Smod.value);
	}
}

function modificarSubtotales(){
	var cant		=document.getElementsByName("cantidad[]");
	var prec		=document.getElementsByName("precio_compra[]");
	var precd		=document.getElementsByName("precio_comprad[]");
	var sub			=document.getElementsByName("subtotal[]");
	var subd		=document.getElementsByName("subtotald[]");
	var subi		=document.getElementsByName("subtotali[]");
	var subid		=document.getElementsByName("subtotalid[]");
	var exent		=document.getElementsByName("exento[]");
	var tasaimpuesto		=$("#impuesto").val()/100;
	for (var i = 0; i < cant.length; i++) {
		var inpC		=cant[i];
		var inpP		=prec[i];
		var inpPd		=precd[i];
		var inpS		=sub[i];
		var inpSd		=subd[i];
		var exento	=exent[i];
		var inpSi		=subi[i];
		var inpSid	=subid[i];
		var iva			=0;
		var ivad		=0;		

		inpS.value	=number_format(numero(inpC.value)*numero(inpP.value),2);
		inpSd.value	=number_format(numero(inpC.value)*numero(inpPd.value),2);
		console.log('exento: '+exento.value);
		console.log('tasaimpuesto: '+(tasaimpuesto));
		if (exento.value=='no'){
			iva = numero(inpS.value)*tasaimpuesto;
			ivad = numero(inpSd.value)*tasaimpuesto;
		}
		inpSi.value		= number_format(numero(inpS.value)+iva,2);
		inpSid.value	= number_format(numero(inpSd.value)+ivad,2);
		console.log('subtotal: '+inpS.value);
		console.log('subtotald: '+inpSd.value);
		console.log('subtotali: '+inpSi.value);
		console.log('subtotalid: '+inpSid.value);
		//document.getElementsByName("subtotal")[i].innerHTML=number_format(inpS.value,2);
	}
	calcularTotales();
}

function calcularTotales(){
	var sub 		= document.getElementsByName("subtotal[]");
	var subd 		= document.getElementsByName("subtotald[]");
	var subi 		= document.getElementsByName("subtotali[]");
	var subid 	= document.getElementsByName("subtotalid[]");
	var total		=0.0;
	var totald	=0.0;
	var totali	=0.0;
	var totalid	=0.0;
	for (var i = 0; i < sub.length; i++) {
		var inpS		=sub[i];
		var inpSd		=subd[i];
		var inpSi		=subi[i];
		var inpSid	=subid[i];
		//total += numero(document.getElementsByName("subtotal")[i].value);
		total  	+= numero(inpS.value);
		totald 	+= numero(inpSd.value);
		totali  += numero(inpSi.value);
		totalid += numero(inpSid.value);
	}
	$("#total").html("Bs." + number_format(total,2));
	$("#totald").html("$." + number_format(totald,2));
	$("#total_compra").val(total);
	$("#total_comprad").val(totald);
	$("#total_comprai").val(totali);
	$("#total_compraid").val(totalid);
	console.log('totalb: '+$("#total_compra").val());
	console.log('total$: '+$("#total_comprad").val());
	console.log('totalbi: '+$("#total_comprai").val());
	console.log('totali$: '+$("#total_compraid").val());
	evaluar();
}

function evaluar(){
	if (detalles>0) 
	{
		$("#btnGuardar").show();
	}
	else
	{
		$("#btnGuardar").hide();
		cont=0;
	}
}

function eliminarDetalle(indice){
$("#fila"+indice).remove();
calcularTotales();
detalles=detalles-1;

}

init();